
{{- define "logi.symphony.existingSecret" -}}
{{- if ne ((((.Values.global).logi).symphony).existingSecret) ""  -}}
{{- ((((.Values.global).logi).symphony).existingSecret) -}}
{{- else -}}
{{- "" -}}
{{- end -}}
{{- end -}}

{{- define "logi.symphony.auth.adminPassword" -}}
{{- if ne (((((.Values.global).logi).symphony).auth).adminPassword) ""  -}}
{{ (((((.Values.global).logi).symphony).auth).adminPassword) }}
{{- else -}}
{{ "" }}
{{- end }}
{{- end -}}

{{- define "logisymphonydetected" }}
{{- if (((.Values.global).logi).symphony)   -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end }}

{{- define "logi.composer.enabled" }}
{{- if eq (((((.Values.global).logi).symphony).discovery).enabled) true  -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end -}}

{{- define "global.logi.symphony.managed.minimal" -}}
{{- if eq (((((.Values.global).logi).symphony).managed).enabled) false  -}}
{{- true -}}
{{- else -}}
{{- false -}}
{{- end -}}
{{- end -}}

{{- define "composer.discovery.host" -}}
{{- .Values.discoveryHost | default (printf "%s-consul-server" .Release.Name) }}
{{- end }}